Bug 813776 - User guide comments
User guide comments
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: Documentation (Show other bugs)
5.2.1.GA
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 5.2.1.Docs.GA
Assigned To: mmurray
:
Depends On: 813333
Blocks: 848574
  Show dependency treegraph
 
Reported: 2012-04-18 08:20 EDT by vramik
Modified: 2015-08-09 21:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 813333
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Commits:
8950 by ppenicka at 2012-11-08 11:27:23 EST (show)
8950 by ppenicka at 2012-11-08 11:27:23 EST

Checked in to /mnt/n4aphx2-3.storage.phx2.redhat.com/svn/repos/gatein

BZ#813776 - removed various screenshots with no added information value and fixed various minor errors identified by docs QE.

46 files changed:

  • epp/docs/branches/5.2/User_Guide/en-US/images/Account.png (+0 / -0)
  • epp/docs/branches/5.2/User_Guide/en-US/images/AccountProfiles3.png (+0 / -0)
  • epp/docs/branches/5.2/User_Guide/en-US/images/AccountSetting.png (+0 / -0)
  • epp/docs/branches/5.2/User_Guide/en-US/images/AddGroup.png (+0 / -0)
  • epp/docs/branches/5.2/User_Guide/en-US/images/AddNode4.png (+0 / -0)
  • epp/docs/branches/5.2/User_Guide/en-US/images/AddPortal.png (+0 / -0)
  • epp/docs/branches/5.2/User_Guide/en-US/images/Admin1.png (+0 / -0)
  • epp/docs/branches/5.2/User_Guide/en-US/images/CloneNode2.png (+0 / -0)
  • epp/docs/branches/5.2/User_Guide/en-US/images/CopyNode3.png (+0 / -0)
  • epp/docs/branches/5.2/User_Guide/en-US/images/CutNode4.png (+0 / -0)
  • epp/docs/branches/5.2/User_Guide/en-US/images/DeleteNode2.png (+0 / -0)
  • epp/docs/branches/5.2/User_Guide/en-US/images/Demo1.png (+0 / -0)
  • epp/docs/branches/5.2/User_Guide/en-US/images/Demo3.png (+0 / -0)
  • epp/docs/branches/5.2/User_Guide/en-US/images/EditMember1.png (+0 / -0)
  • epp/docs/branches/5.2/User_Guide/en-US/images/EditNavigation.png (+0 / -0)
  • epp/docs/branches/5.2/User_Guide/en-US/images/Gadgetnew.png (+0 / -0)
  • epp/docs/branches/5.2/User_Guide/en-US/images/httpNode.png (+0 / -0)
  • epp/docs/branches/5.2/User_Guide/en-US/images/MoveUpDown.png (+0 / -0)
  • epp/docs/branches/5.2/User_Guide/en-US/images/NewStaff.png (+0 / -0)
  • epp/docs/branches/5.2/User_Guide/en-US/images/NodeIcons.png (+0 / -0)
  • epp/docs/branches/5.2/User_Guide/en-US/images/PageNodeSetting.png (+0 / -0)
  • epp/docs/branches/5.2/User_Guide/en-US/images/PageSelectorEmpty.png (+0 / -0)
  • epp/docs/branches/5.2/User_Guide/en-US/images/PageSelector.png (+0 / -0)
  • epp/docs/branches/5.2/User_Guide/en-US/images/PageSetting.png (+0 / -0)
  • epp/docs/branches/5.2/User_Guide/en-US/images/PasteNode3.png (+0 / -0)
  • epp/docs/branches/5.2/User_Guide/en-US/images/PortalSetting2.5.png (+0 / -0)
  • epp/docs/branches/5.2/User_Guide/en-US/images/PortalTemplate.png (+0 / -0)
  • epp/docs/branches/5.2/User_Guide/en-US/images/PortalTemplates.png (+0 / -0)
  • epp/docs/branches/5.2/User_Guide/en-US/images/Register.png (+0 / -0)
  • epp/docs/branches/5.2/User_Guide/en-US/images/SearchUser.png (+0 / -0)
  • epp/docs/branches/5.2/User_Guide/en-US/images/SelectPage1.png (+0 / -0)
  • epp/docs/branches/5.2/User_Guide/en-US/images/Skin1.png (+0 / -0)
  • epp/docs/branches/5.2/User_Guide/en-US/images/SkinSet1.png (+0 / -0)
  • epp/docs/branches/5.2/User_Guide/en-US/images/Verification.png (+0 / -0)
  • epp/docs/branches/5.2/User_Guide/en-US/images/Videos.png (+0 / -0)
  • epp/docs/branches/5.2/User_Guide/en-US/images/XMLURL.png (+0 / -0)
  • epp/docs/branches/5.2/User_Guide/en-US/modules/account/Change_Account_Settings.xml (+1 / -1)
  • epp/docs/branches/5.2/User_Guide/en-US/modules/account/Register_New_Accounts.xml (+15 / -24)
  • epp/docs/branches/5.2/User_Guide/en-US/modules/account/Sign_in_and_Sign_out.xml (+1 / -1)
  • epp/docs/branches/5.2/User_Guide/en-US/modules/language/Multi-Language_Navigation_Nodes.xml (+1 / -1)
  • epp/docs/branches/5.2/User_Guide/en-US/modules/portal/Manage_Navigation_Nodes.xml (+0 / -116)
  • epp/docs/branches/5.2/User_Guide/en-US/modules/portal/Manage_Permission.xml (+2 / -2)
  • epp/docs/branches/5.2/User_Guide/en-US/modules/portal/Manage_Portals.xml (+225 / -263)
  • epp/docs/branches/5.2/User_Guide/en-US/modules/portal/User_Management.xml (+2 / -58)
  • epp/docs/branches/5.2/User_Guide/en-US/modules/Supported_Browsers.xml (+1 / -1)
  • epp/docs/branches/5.2/User_Guide/en-US/Revision_History.xml (+15 / -0)
8951 by ppenicka at 2012-11-08 11:30:53 EST (show)
8951 by ppenicka at 2012-11-08 11:30:53 EST

Checked in to /mnt/n4aphx2-3.storage.phx2.redhat.com/svn/repos/gatein

BZ#813776 - removed various screenshots with no added information value and fixed various minor errors identified by docs QE.

11 files changed:

  • epp/docs/branches/6.0/User_Guide/en-US/images/Account.png (+0 / -0)
  • epp/docs/branches/6.0/User_Guide/en-US/images/AccountSetting.png (+0 / -0)
  • epp/docs/branches/6.0/User_Guide/en-US/modules/account/Change_Account_Settings.xml (+10 / -2)
  • epp/docs/branches/6.0/User_Guide/en-US/modules/account/Register_New_Accounts.xml (+13 / -14)
  • epp/docs/branches/6.0/User_Guide/en-US/modules/account/Sign_in_and_Sign_out.xml (+1 / -1)
  • epp/docs/branches/6.0/User_Guide/en-US/modules/language/Multi-Language_Navigation_Nodes.xml (+1 / -1)
  • epp/docs/branches/6.0/User_Guide/en-US/modules/portal/Manage_Permission.xml (+1 / -1)
  • epp/docs/branches/6.0/User_Guide/en-US/modules/portal/Manage_Portals.xml (+201 / -191)
  • epp/docs/branches/6.0/User_Guide/en-US/modules/portal/User_Management.xml (+2 / -2)
  • epp/docs/branches/6.0/User_Guide/en-US/modules/Supported_Browsers.xml (+1 / -1)
  • epp/docs/branches/6.0/User_Guide/en-US/Revision_History.xml (+14 / -0)


Attachments (Terms of Use)

  None (edit)
Description vramik 2012-04-18 08:20:00 EDT
Comments for user guide (version is 5.2.1 CR02 at the time of creation)

- Chapter 2. Supported Browsers - Firefox (versions 3.5 to 7) -> Firefox (versions 3.5 to 10)

- 4.1 - Account Portlet - update screenshot (new input field Display name is missing)

- 5.1 - 1. - update screenshot below "The Register New Account page appears: " (new input field Display name is missing)

- 5.1 - 1. - user name - ... start with a character. Only alpha, digit, underscore, dash and dot characters are allowed -> ... start with a lowercase letter and end with a lowercase letter or digit. Only lowercase letters, digits, dot and underscore characters are allowed

- 5.1 - 1. - add description about new Display Name input field according to https://bugzilla.redhat.com/show_bug.cgi?id=794235 , to summarize this: There is new input field "Display Name" when creating or editing user. The field is mandatory and if you leave it blank the display name is constructed from first name and last name. The display name is shown in right top corner when user is logged.

- 5.2.1 - ... redirected to the GateIn Sign In form. -> ... redirected to the JBoss EPP Sign In form.

- 5.4 - Account Profiles - update screenshot (new input field Display name is missing)

- 5.4 - ... You can change your: First Name , Last Name and Email. -> ... You can change your: First Name , Last Name, Display Name and Email.

- 6.2.1 - update both screenshots and descriptions of point 3 and 4 (because the order of tabs has changed)

- 6.2.5 and 6.2.6 - in my opinion this two chapters should be in the end of chapter 6.2, so 6.2.5 -> 6.2.9 and 6.2.6 -> 6.2.10

- 6.2.7. Edit Properties - ... clicking on Site in the Toolbar and selecting the Edit Portal Properties link -> ... clicking on Site in the Toolbar and selecting the Edit Portal's Config link

- 6.2.9. Change Portal Skins - Method One - 1. Click on Site, then Edit Portal's Properties. -> 1. Click on Site, then Edit Portal's Config. 

- 6.2.9. Change Portal Skins - Method One - update screenshot (there are not displayed Label and Description input fields)

- 6.3.2 - update second screenshot (there is missing Publication date & time checkbox)

- 6.5.1.1 - update screenshot (new input field Display name is missing)

- 6.5.1.1 - 3. - update description (since 5.2.1 Display Name is not required, but when blank it's constructed from first name and last name)

- 6.5.1.3 - update screenshot (new input field Display name is missing)

- 6.5.1.3 - 3. - ... Other fields First Name , Last Name , Email Address can be changed. -> ... Other fields First Name, Last Name, Display Name and Email Address can be changed. 

- 6.6.1 - Existing portals - ... Edit Portal's Properties -> ... Edit Portal's Config

- 7.3 - green box - There is info: In JBoss Enterprise Portal Platform 5.2.1 a new localization functionality called Extended Label Mode has been implemented. But this functionality was implemented in 5.2.0 so I suppose to change desc to something like: Since JBoss Enterprise Portal Platform 5.2.0 ...
Comment 1 Jared MORGAN 2012-10-10 18:12:47 EDT
TRIAGE INFORMATION

Relevance: EPP 5.2 and EPP 6

==Task==

Make the changes as prescribed in both versions. 

If you encounter an issue with screen shots, consider carefully whether the screen shot adds value to the procedure? If it doesn't strip out the image and describe the field.

If you do need to re-capture, make a note of the screenshots in your resolution info in the bug, and I can take care of those.

==Requirements== 

Ensure you have access to:

http://svn.jboss.org/repos/gatein/epp/docs/branches/5.2/ and http://svn.jboss.org/repos/gatein/epp/docs/branches/6.0/

to make changes to these guides.

==Resolving==

Add Revision History to each guide, and stage the books. 

Commit changes to SVN

Update the BZ with tracking info.
Comment 2 Petr Penicka 2012-11-08 11:44:16 EST
Fixed in both 5.2 and 6.0. Changes staged and committed to SVN repos. Comments inline below.

Chapter 2. Supported Browsers - Firefox (versions 3.5 to 7) -> Firefox (versions 3.5 to 10)
-- FIXED

- 4.1 - Account Portlet - update screenshot (new input field Display name is missing)
-- SCREENSHOT UPDATED

- 5.1 - 1. - update screenshot below "The Register New Account page appears: " (new input field Display name is missing)
-- REMOVED THE SCREENSHOTS IN 5.2 AS IT HAS ALREADY BEEN DONE IN 6.0

- 5.1 - 1. - user name - ... start with a character. Only alpha, digit, underscore, dash and dot characters are allowed -> ... start with a lowercase letter and end with a lowercase letter or digit. Only lowercase letters, digits, dot and underscore characters are allowed
-- FIXED

- 5.1 - 1. - add description about new Display Name input field according to https://bugzilla.redhat.com/show_bug.cgi?id=794235 , to summarize this: There is new input field "Display Name" when creating or editing user. The field is mandatory and if you leave it blank the display name is constructed from first name and last name. The display name is shown in right top corner when user is logged.
-- ADDED

- 5.2.1 - ... redirected to the GateIn Sign In form. -> ... redirected to the JBoss EPP Sign In form.
-- FIXED

- 5.4 - Account Profiles - update screenshot (new input field Display name is missing)
-- SCREENSHOT UPDATED

- 5.4 - ... You can change your: First Name , Last Name and Email. -> ... You can change your: First Name , Last Name, Display Name and Email.
-- FIXED

- 6.2.1 - update both screenshots and descriptions of point 3 and 4 (because the order of tabs has changed)
-- RESTRUCTURED ACCORDING TO NEW ORDER OF TABS, REMOVED SCREENSHOTS IN 5.2 AS WAS PREVIOUSLY DONE IN 6.0

- 6.2.5 and 6.2.6 - in my opinion this two chapters should be in the end of chapter 6.2, so 6.2.5 -> 6.2.9 and 6.2.6 -> 6.2.10
-- MAKES SENSE, MOVED

- 6.2.7. Edit Properties - ... clicking on Site in the Toolbar and selecting the Edit Portal Properties link -> ... clicking on Site in the Toolbar and selecting the Edit Portal's Config link
-- FIXED

- 6.2.9. Change Portal Skins - Method One - 1. Click on Site, then Edit Portal's Properties. -> 1. Click on Site, then Edit Portal's Config. 
-- FIXED

- 6.2.9. Change Portal Skins - Method One - update screenshot (there are not displayed Label and Description input fields)
-- SCREENSHOT REMOVED (ALREADY REMOVED IN 6.0, NO ADDED VALUE)

- 6.3.2 - update second screenshot (there is missing Publication date & time checkbox)
-- MANY SCREENSHOTS REMOVED IN THIS SECTION (ALREADY REMOVED IN 6.0)

- 6.5.1.1 - update screenshot (new input field Display name is missing)
-- MANY SCREENSHOTS REMOVED IN THIS SECTION (ALREADY REMOVED IN 6.0)

- 6.5.1.1 - 3. - update description (since 5.2.1 Display Name is not required, but when blank it's constructed from first name and last name)
-- FIXED

- 6.5.1.3 - update screenshot (new input field Display name is missing)
-- MANY SCREENSHOTS REMOVED IN THIS SECTION (ALREADY REMOVED IN 6.0)

- 6.5.1.3 - 3. - ... Other fields First Name , Last Name , Email Address can be changed. -> ... Other fields First Name, Last Name, Display Name and Email Address can be changed. 
-- FIXED

- 6.6.1 - Existing portals - ... Edit Portal's Properties -> ... Edit Portal's Config
-- FIXED

- 7.3 - green box - There is info: In JBoss Enterprise Portal Platform 5.2.1 a new localization functionality called Extended Label Mode has been implemented. But this functionality was implemented in 5.2.0 so I suppose to change desc to something like: Since JBoss Enterprise Portal Platform 5.2.0 ...
-- FIXED

Note You need to log in before you can comment on or make changes to this bug.